%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}

Name:		tcl-thread
Summary:	Tcl Thread extension
License:	TCL
Group:		Development/Tools
Version:	2.6.5
Release:	9%{?dist}
Source:		http://prdownloads.sourceforge.net/tcl/thread2.6.5.tar.gz
URL:		http://tcl.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: tcl-devel gdbm-devel
Requires: tcl(abi) = 8.5
Patch0: tcl-thread-x86_64-build.patch

%description
Thread extension for the Tcl toolkit.  You can use this extension to gain
script level access to Tcl threading capabilities.

%prep
%setup -q -n thread%{version}
%patch0 -p0

%build
%configure --enable-threads --with-gdbm
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{tcl_sitearch}
mv $RPM_BUILD_ROOT%{_libdir}/thread%{version} $RPM_BUILD_ROOT%{tcl_sitearch}/

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root, root)
%doc license.terms README ChangeLog
%{tcl_sitearch}/thread%{version}
%{_mandir}/mann/*

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 9 2008 - Wart <wart at kobold.org> 2.6.5-6
- Rebuild for gcc 4.3

* Fri Jan 4 2008 - jwboyer@jdub.homelinux.org 2.6.5-5
- Fix build problem caused by path mismatch on 64-bit platforms

* Fri Jan 4 2008 - jwboyer@jdub.homelinux.org 2.6.5-4
- Rebuild for Tcl 8.5

* Tue Aug 28 2007 - jwboyer@jdub.homelinux.org 2.6.5-3
- Rebuild for BuildID
- Correct license tag

* Fri Nov 3 2006 - jwboyer@jdub.homelinux.org 2.6.5-2
- Update for review comments
- Add patch to compile on x86_64

* Thu Oct 26 2006 - jwboyer@jdub.homelinux.org 2.6.5-1
- Initial tcl-threads
